Bug 802799 - wallaby shell replace-* commands with empty args should clear the value in the store
wallaby shell replace-* commands with empty args should clear the value in th...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 10:22 EDT by Robert Rati
Modified: 2013-03-06 13:42 EST (History)
3 users (show)

See Also:
Fixed In Version: wallaby-0.16.1-2
Doc Type: Bug Fix
Doc Text:
C: The wallaby shell commands that begin with the word "replace" would print an error if a list of entity names was not provided C: There was no easy way to replace the entity set with an empty set F: The wallaby shell commands now operate without a list of entity names R: Running a wallaby shell command beginning with "replace" without a list of entity names will replace the entity set with an empty set
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:42:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-03-13 10:22:57 EDT
Description of problem:
The wallaby shell commands for replacing values on entities (replace-*) should zero out the value if no argument is given.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-03-13 10:24:40 EDT
If a replace command is given no argument, it will zero out the value
Comment 2 Robert Rati 2012-03-13 10:24:55 EDT
Fixed on BZ802799-replace-cmds-fixes
Comment 4 Robert Rati 2012-03-14 11:10:21 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: The wallaby shell commands that begin with the word "replace" would print an error if a list of entity names was not provided
C: There was no easy way to replace the entity set with an empty set
F: The wallaby shell commands now operate without a list of entity names
R: Running a wallaby shell command beginning with "replace" without a list of entity names will replace the entity set with an empty set
Comment 9 Lubos Trilety 2013-02-18 11:35:43 EST
Tested with:
wallaby-utils-0.16.3-1

Tested on:
RHEL5 x86_64,i386
RHEL6 x86_64,i386

Replace command with no argument zero out the value.

>>> verified
Comment 11 errata-xmlrpc 2013-03-06 13:42:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.